## org.omg.CORBA
Class LongLongSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.LongLongSeqHelper

public class LongLongSeqHelper
extends java.lang.Object

Helper class for : LongLongSeq

Author:
  OpenORB Compiler

Constructor Summary
`LongLongSeqHelper()`

Method Summary
`static long[]` `extract(Any a)` Extract LongLongSeq from an any
`static java.lang.String` `id()` Return the LongLongSeq IDL ID
`static void` `insert(Any a, long[] t)` Insert LongLongSeq into an any
`static long[]` `read(InputStream istream)` Read LongLongSeq from a marshalled stream
`static TypeCode` `type()` Return the LongLongSeq TypeCode
`static void` `write(OutputStream ostream, long[] value)` Write LongLongSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LongLongSeqHelper

    public LongLongSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              long[] t)

  Insert LongLongSeq into an any
  Parameters:
    `a` - an any
    `t` - LongLongSeq value

### extract

    public static long[] extract(Any a)

  Extract LongLongSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted LongLongSeq value

### type

    public static TypeCode type()

  Return the LongLongSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the LongLongSeq IDL ID
  Returns:
    an ID

### read

    public static long[] read(InputStream istream)

  Read LongLongSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed LongLongSeq value

### write

    public static void write(OutputStream ostream,
                             long[] value)

  Write LongLongSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - LongLongSeq value